Debian Bug report logs - #691346
kfreebsd-amd64 fails to install on LSI MegaRAID SAS 2208

version graph

Package: kfreebsd-9; Maintainer for kfreebsd-9 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Tiziano Zito <opossumnano@gmail.com>

Date: Wed, 24 Oct 2012 14:54:02 UTC

Severity: important

Tags: d-i

Merged with 691754

Fixed in version 9.1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, opossumnano@gmail.com, Debian Install Team <debian-boot@lists.debian.org>:
Bug#691346; Package installation-reports. (Wed, 24 Oct 2012 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tiziano Zito <opossumnano@gmail.com>:
New Bug report received and forwarded. Copy sent to opossumnano@gmail.com, Debian Install Team <debian-boot@lists.debian.org>. (Wed, 24 Oct 2012 14:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tiziano Zito <opossumnano@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-amd64 fails to install on LSI MegaRAID SAS 2208
Date: Wed, 24 Oct 2012 16:50:45 +0200
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: critical
Tags: d-i

-- Package-specific info:

Boot method: CD
Image version: debian-wheezy-DI-b3-kfreebsd-amd64-netinst.iso
Date: 201210241200

Machine: IBM System x3650 M4
Partitions: no partitions

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [E]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

On this server the LSI RAID controller LSI MegaRAID SAS 2208/ServeRAID M5110e
is installed. I tried installing kfreebsd-amd64 on it from CD. The
installer GRUB menu works (see attachment boot.png), but right after
that the FreeBSD kernel hangs during boot with an error (see
attachment error.png). After 10/20 seconds another error line gets
printed -- something about hard resetting something -- but it was
too fast for me to take a screenshot, and the system reboots. 
On the very same machine I was able to install the standard 
debian-wheezy-DI-b3-amd64-netinst.iso without any problem. 

On LSI website I found this:
http://kb.lsi.com/KnowledgebaseArticle16687.aspx
which seems to indicate that FreeBSD 9.0 ships an obsolete kernel
module for this controller, and they suggest a procedure how to create
a FreeBSD 9.0 installer with an updated module. My knowledge of
FreeBSD are a bit too limited for me to seriously think about
recompile the kernel and injecting some additional modules, but
maybe someone in the kfreebsd debian team knows how to do it?

I now have the machine up and running with linux debian amd64, so I
can make any needed additional hardware info -- as linux sees it --
available. I can also make the remote control console accessible to
more knowledgeable people for debugging.

Thanks,
Tiziano

PS: I did not know what severity to set, I thought that complete
install failures qualifies for "critical", but please downgrade it
if needed.
[boot.png (image/png, attachment)]
[error.png (image/png, attachment)]

Bug 691346 cloned as bug 691754 Request was from Tiziano Zito <opossumnano@gmail.com> to control@bugs.debian.org. (Mon, 29 Oct 2012 12:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#691346; Package installation-reports. (Fri, 02 Nov 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 02 Nov 2012 10:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 691346@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 691346@bugs.debian.org
Subject: Re: Bug#691346: kfreebsd-amd64 fails to install on LSI MegaRAID SAS 2208
Date: Fri, 2 Nov 2012 11:37:22 +0100
[Message part 1 (text/plain, inline)]
Control: severity -1 normal

Tiziano Zito <opossumnano@gmail.com> (24/10/2012):
> Package: installation-reports
> Severity: critical
> Tags: d-i

Not exactly critical, no.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'critical' Request was from Cyril Brulebois <kibi@debian.org> to 691346-submit@bugs.debian.org. (Fri, 02 Nov 2012 10:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#691346; Package installation-reports. (Mon, 12 Nov 2012 13:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Simon <mathieu.sim@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 12 Nov 2012 13:00:05 GMT) Full text and rfc822 format available.

Message #19 received at 691346@bugs.debian.org (full text, mbox):

From: Mathieu Simon <mathieu.sim@gmail.com>
To: 691346@bugs.debian.org
Subject: mfi in 9.1
Date: Mon, 12 Nov 2012 13:56:38 +0100
G'day

Actually FreBSD 9.1 will contain update 'mfi' driver code which
largely expands the support for MegaRAID drivers. (confirmed witha
9.1-RC3 media)
It might be interesting for you to boo a native FreeBSD ISO of
this version to see if your controller is recognized by this mfi module.
(use "pciconf -lvb | grep mfi" and "mfiutil show adapter" to check)

I'm actually in a similar situation with another FreeBSD derived OS
(pfSense)
if you can go with a kernel based on 9.1, you'll likely be in a better
starting position.

-- Mathieu



Bug reassigned from package 'installation-reports' to 'kfreebsd-9'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 16 Jul 2013 12:36:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 15 Jan 2014 11:12:08 GMT) Full text and rfc822 format available.

Merged 691346 691754 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 15 Jan 2014 11:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#691346; Package kfreebsd-9. (Wed, 15 Jan 2014 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 15 Jan 2014 11:15:04 GMT) Full text and rfc822 format available.

Message #30 received at 691346@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Tiziano Zito <opossumnano@gmail.com>
Cc: 691346@bugs.debian.org, Mathieu Simon <mathieu.sim@gmail.com>
Subject: Re: mfi in 9.1
Date: Wed, 15 Jan 2014 11:12:11 +0000
On Mon, Nov 12, 2012 at 01:56:38PM +0100, Mathieu Simon wrote:
> G'day
> 
> Actually FreBSD 9.1 will contain update 'mfi' driver code which
> largely expands the support for MegaRAID drivers. (confirmed witha
> 9.1-RC3 media)
> It might be interesting for you to boo a native FreeBSD ISO of
> this version to see if your controller is recognized by this mfi module.
> (use "pciconf -lvb | grep mfi" and "mfiutil show adapter" to check)

Tiziano, did you try with 9.1 kernel as suggested? Actually, you could
try 10.0~rc from unstable, it might give better results.

Please let us know if it works for you.

--
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#691346; Package kfreebsd-9. (Mon, 20 Jan 2014 10:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tiziano Zito <opossumnano@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 20 Jan 2014 10:03:10 GMT) Full text and rfc822 format available.

Message #35 received at 691346@bugs.debian.org (full text, mbox):

From: Tiziano Zito <opossumnano@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 691346@bugs.debian.org, Mathieu Simon <mathieu.sim@gmail.com>
Subject: Re: mfi in 9.1
Date: Mon, 20 Jan 2014 10:51:18 +0100
On Wed 15 Jan, 11:12, Robert Millan <rmh@debian.org> wrote:
> On Mon, Nov 12, 2012 at 01:56:38PM +0100, Mathieu Simon wrote:
> > G'day
> > 
> > Actually FreBSD 9.1 will contain update 'mfi' driver code which
> > largely expands the support for MegaRAID drivers. (confirmed witha
> > 9.1-RC3 media)
> > It might be interesting for you to boo a native FreeBSD ISO of
> > this version to see if your controller is recognized by this mfi module.
> > (use "pciconf -lvb | grep mfi" and "mfiutil show adapter" to check)
> 
> Tiziano, did you try with 9.1 kernel as suggested? Actually, you could
> try 10.0~rc from unstable, it might give better results.
> 
> Please let us know if it works for you.

Hi, 

sorry for not following up on this sooner. Last year I decided to go
the FreeBSD route and updated the kernel module as specified on the
LSI website. It worked fine.
The upgrade to 9.1 brought the new mfi module, which indeed supports
the controller, so from kernel 9.1 onwards there is no need to
compile any additional module. 

The server is now running a 9.2-RELEASE kernel and everything works
fine. As the server is in production I can not really test a
Debian+kfreebsd installation, but I have no reason to think that it
would make any difference, so for me the bug can be closed :)

Thanks for pinging me about this!
Tiziano



Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 15:15:08 GMT) Full text and rfc822 format available.

Notification sent to Tiziano Zito <opossumnano@gmail.com>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 15:15:08 GMT) Full text and rfc822 format available.

Message #40 received at 691346-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Tiziano Zito <opossumnano@gmail.com>, 691346-done@bugs.debian.org
Cc: Mathieu Simon <mathieu.sim@gmail.com>
Subject: Re: Bug#691346: mfi in 9.1
Date: Mon, 20 Jan 2014 16:12:19 +0100
Version: 9.1

On 20/01/2014 10:51, Tiziano Zito wrote:
> On Wed 15 Jan, 11:12, Robert Millan <rmh@debian.org> wrote:
>> On Mon, Nov 12, 2012 at 01:56:38PM +0100, Mathieu Simon wrote:
>>> G'day
>>>
>>> Actually FreBSD 9.1 will contain update 'mfi' driver code which
>>> largely expands the support for MegaRAID drivers. (confirmed witha
>>> 9.1-RC3 media)
>>> It might be interesting for you to boo a native FreeBSD ISO of
>>> this version to see if your controller is recognized by this mfi module.
>>> (use "pciconf -lvb | grep mfi" and "mfiutil show adapter" to check)
>>
>> Tiziano, did you try with 9.1 kernel as suggested? Actually, you could
>> try 10.0~rc from unstable, it might give better results.
>>
>> Please let us know if it works for you.
> 
> Hi, 
> 
> sorry for not following up on this sooner. Last year I decided to go
> the FreeBSD route and updated the kernel module as specified on the
> LSI website. It worked fine.
> The upgrade to 9.1 brought the new mfi module, which indeed supports
> the controller, so from kernel 9.1 onwards there is no need to
> compile any additional module. 
> 
> The server is now running a 9.2-RELEASE kernel and everything works
> fine. As the server is in production I can not really test a
> Debian+kfreebsd installation, but I have no reason to think that it
> would make any difference, so for me the bug can be closed :)

Excellent! Thank you.

-- 
Robert Millan



Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 15:15:09 GMT) Full text and rfc822 format available.

Notification sent to Tiziano Zito <opossumnano@gmail.com>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 15:15:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Feb 2014 07:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:20:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.